Subject: Re: bug#44209: 28.0.50; [feature/native-comp] Compilation failure in progmodes/js.el

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 25 Oct 2020 17:13:01 +0100

Andrea Corallo <[email-masked]> writes:

>> I agree would be nice to have it tweaked for when we are not doing a
>> full AoT compilation.
>>
>> I'll have a look into.
>
> I pushed 868d3ff9b8, should do the job.

Thanks, looks good now.  And it looks like this is erroring out not when
compiling js.el, but when cc-mode has been natively compiled?

$ make
....
make[2]: Entering directory '/home/larsi/src/emacs/native-compile/lisp'
  ELC      progmodes/js.elc

In toplevel form:
progmodes/js.el:4550:11: Error: Symbol’s function definition is void: cc-bytecomp-is-compiling
make[2]: *** [Makefile:318: progmodes/js.elc] Error 1
make[2]: Leaving directory '/home/larsi/src/emacs/native-compile/lisp'
make[1]: *** [Makefile:352: compile-main] Error 2
make[1]: Leaving directory '/home/larsi/src/emacs/native-compile/lisp'
make: *** [Makefile:420: lisp] Error 2

cc-bytecomp-is-compiling is a defsubst, if that's any clue.  The
following patch fixes the problem, but I'm not sure...  why...

diff --git a/lisp/progmodes/js.el b/lisp/progmodes/js.el
index f3cfbbb948..563bf88e6a 100644
--- a/lisp/progmodes/js.el
+++ b/lisp/progmodes/js.el
@@ -48,6 +48,7 @@
 (require 'cc-mode)
 (eval-when-compile
   (require 'cc-langs)
+  (require 'cc-bytecomp)
   (require 'cc-fonts))
 (require 'newcomment)
 (require 'imenu)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no